# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rxio/version'

Gem::Specification.new do |spec|
	spec.name = 'rxio'
	spec.version = RxIO::VERSION
	spec.authors = ['Eresse']
	spec.email = ['eresse@eresse.net']

	spec.summary = 'Reactive Sockets for Ruby'
	spec.description = 'Provides an implementation of the Reactor Pattern for Ruby Sockets.'
	spec.homepage = 'http://redmine.eresse.net/projects/rxio'
	spec.license = 'MIT'

	spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	spec.require_paths = ['lib']

	spec.add_development_dependency 'bundler'
	spec.add_development_dependency 'rake'
	spec.add_runtime_dependency 'minitest'
	spec.add_runtime_dependency 'openssl'
	spec.add_runtime_dependency 'runify'
end
